Bug 463981 - live migration fails when source has many domU's
live migration fails when source has many domU's
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
All Linux
medium Severity high
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 15:09 EDT by David L. Parsley
Modified: 2010-03-14 17:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 15:03:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. Parsley 2008-09-25 15:09:58 EDT
Description of problem:
While migrating all domU's from one machine to another, I found that if the source machine started with 6 domU's, the live migration would fail.  On the source, if I xm console the VM that failed migration, I see this output:
WARNING: g.e. still in use!
WARNING: leaking g.e. and page still in use!
WARNING: g.e. still in use!
WARNING: leaking g.e. and page still in use!
netif_release_rx_bufs: 0 xfer, 43 noxfer, 213 unused
WARNING: g.e. still in use!
WARNING: leaking g.e. and page still in use!

To recover I have to xm destroy on the source; then I can xm create on the dest.  I don't know if there is a hardware relation here, but the source and dest machines are both Dell 6950 w/ 4 AMD dual-core opteron and 16GB RAM.
Other cases I tried:
- Migrating a different VM (failed w/ 6 running on source)
- Migrating a VM with only 5 on source - succeeded

Version-Release number of selected component (if applicable):
All dom0 domU completely current as of 9/25/08:
kernel-xen-2.6.18-92.1.13.el5
xen-3.0.3-64.el5_2.1

How reproducible:
Always for me

Steps to Reproduce:
1. Run 6 domUs on a single host, at least 1 on shared storage
2. Live migrate shared VM from this host to another
  
Actual results:
domU crashes with above message on console

Expected results:
successful migration

Additional info:
Comment 2 Bill Burns 2009-01-14 14:06:08 EST
Another report of the "leaking" messages in rhts log at:
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=5596480
Comment 6 David L. Parsley 2009-02-10 11:32:37 EST
I've just tested this on RHEL5.3, and this issue appears to be fixed.
Versions:
kernel-xen-2.6.18-128.el5
xen-3.0.3-80.el5

I moved 3 VMs to a server that already hosts 4 (for a total of 7), and was able to migrate them all back without incident.
Comment 7 Bill Burns 2009-02-27 15:03:08 EST
Thanks for the update. Closing as fixed in the current release. Please reopen if it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.